<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

$time=time();

echo '<img src="../images/img/partners.gif" alt=""> <b>Выдача кредитов</b><br><br>';

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}


//-------------------- Главная выдачи кредитов ----------------------//
if(!isset($action)){

echo'У вас в наличии: '.moneys($udata[41]).'<br>';


$lines=file("../local/bank.dat"); 
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$linn=$b; $usersum=$dt[2]; $userdata=$dt[3];}}

echo 'У вас в банке: '.moneys($usersum);


//--------------------- Вычисление если долг ---------------------------//
if($udata[53]!="" && $udata[54]>0){
echo '<br><font color="#FF0000">Сумма долга составляет: '.moneys($udata[54]).'</font>';

if($time<$udata[53]){
$kredit_time=ceil(($udata[53]-$time)/3600);
echo '<br>До истечения срока кредита осталось около: '.$kredit_time.' ч.';
}else{
echo '<br><font color="#FF0000">Внимание, время погашения кредита просрочено!</font><br>';
echo 'Начислена пеня в сумме 1%, списано 10 баллов активности, и 1 балл авторитета'; 

$newgold=round(($udata[54]/100)+$udata[54]);
//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[36]=$udata[36]-10;
$udata[49]--;
$udata[51]++;
$udata[53]=$time+24*60*60;
$udata[54]=(int)$newgold;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}
}}


echo '<br><br><b>Операция:</b>';
if($config_themes!=="wml"){
echo '<br><form action="kredit.php?action=operacia&amp;'.SID.'" method="post"><input name="gold" /><br>';
echo '<select name="oper">';
echo '<option value="1">Взять кредит</option><option value="2">Погасить кредит</option>';
echo '</select><br><br>';
echo '<input type="submit" value="Продолжить" /></form><hr>';}else{


echo '<br><input name="gold"/><br>';
echo '<select name="oper">';
echo '<option value="1">Взять кредит</option><option value="2">Погасить кредит</option>';
echo '</select><br><br>';
echo '<anchor title="go">Продолжить<go href="kredit.php?action=operacia&amp;'.SID.'" method="post">';
echo '<postfield name="gold" value="$(gold)"/>';
echo '<postfield name="oper" value="$(oper)"/>';
echo '</go></anchor><br>'; }

echo'Минимальная сумма кредита '.moneys(1000).'<br>';
echo'Максимальная сумма кредита равна '.moneys(100000).'<br>';

echo '<b>Правила</b><br>Независимо от суммы кредита банк берет 30% за операцию, кредит выдается на 3 дня<br>';
echo 'Каждый просроченный день увеличивает сумму на 1% плюс у вас списывается 10 баллов активности и 1 балл авторитета<br>';
echo 'Кредит выдается пользователям у которых не менее 150 баллов в активе<br>';
}



if($action=="operacia"){
if(ctype_digit($gold) && $gold>=1000 && $oper!=""){
	
	
//-------------------------- Выдача кредитов -----------------------------//
if($oper=="1"){echo'Получение кредита<br>';
if($gold<=100000){
if($udata[36]>150){
if($udata[53]=="" && $udata[54]<1){	
	
$newgold=round((($gold*30)/100)+$gold);
//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=round($udata[41]+$gold);
$udata[53]=$time+3*24*60*60;
$udata[54]=(int)$newgold;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo'Cредства успешно перечислены вам в карман!<br>';
}else{echo'Ошибка, вы не сможете получить кредит, возможно за вами еще долг<br><br>';}
}else{echo'Ошибка, ваш статус не позволяет вам получать кредит<br><br>';}
}else{echo'Операции более чем с 100тыс. не проводятся<br>';}
}



//-------------------------- Погашение кредитов -----------------------------//
if($oper=="2"){echo'Погашение кредита<br>';
if($udata[54]>0){
if($udata[54]==$gold){	
if($gold<=$udata[41]){	
//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=$udata[41]-$gold;;
$udata[53]="";
$udata[54]=0;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo'Поздравляем! Кредит успешно погашен, благодорим за сотрудничество!<br>';
}else{echo'Ошибка, у вас нехватает монет для погашения кредита<br><br>';}
}else{echo'Ошибка, необходимо вложить сумму равную вашей задолженности<br><br>';}
}else{echo'За вами нет долга, погашать нечего!<br><br>';}
}



}else{echo'Операции менее чем с 1тыс. не проводятся<br>';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="kredit.php?'.SID.'">Вернуться</a>';
}
	
	
	
	
}else{echo'<br>Для того чтобы совершать операции вы должны быть авторизованы<br>';}
echo'<br><br><img src="../images/img/many.gif" alt=""> <a href="../games/bank.php?'.SID.'">Банк</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>